exports.html = `<!DOCTYPE html>
<html lang="en">
    <head>
    <meta charset="utf-8">
    <title>WAVE Chrome & Firefox Extensions</title>

<link rel="stylesheet" href="/styles/index.css?ver=2" type="text/css">
    <link rel="shortcut icon" href="/favicon.ico">
    <link href="https://fonts.googleapis.com/css?family=PT+Sans:400,400i,700" rel="stylesheet">
    </head>

    <body>
    <nav>
    <a href="/"><img src="/img/wavelogo.png" alt="WAVE Web Accessibility Tool" width="250" height="50"></a>
    <ul>
    <li><a href="/sitewide">Site-wide WAVE Tools</a></li>
<li><a href="/extension">Browser Extensions</a></li>
<li><a href="/help">Help</a></li>
<li><a href="/about">About/Terms of Use</a></li>
<li><a href="/feedback">Feedback</a></li>
</ul>

</nav>
<main>


<span style="float:right;">
    </span>
    <div style="clear:both;"></div>
    <h1>WAVE Browser Extensions</h1>

<p><img src="/img/extension/chromeExtension.jpg" alt="WAVE Extension" style="float:right; margin:5px; border:1px solid #bbb; width:300px;">The WAVE Chrome and Firefox extensions allows you to evaluate web content for accessibility issues <strong>directly within Chrome and Firefox browsers</strong>. Because the extension  runs entirely within your web browser, <strong>no information is sent to the WAVE server</strong>. This ensures 100% <strong>private and secure accessibility reporting</strong>. The extension can check intranet, password-protected, dynamically generated, or sensitive web pages. Also, because the WAVE extension evaluates the rendered version of your page, <strong>locally displayed styles</strong> and <strong>dynamically-generated content from scripts or AJAX</strong> can be evaluated.</p>

<h2>Chrome Extension</h2>

<p><a href="https://chrome.google.com/webstore/detail/wave-evaluation-tool/jbbplnpkjmmeebjpijfedlgcdilocofh"><b>WAVE Chrome Extension at the Google Web Store</b></a></p>

<h2>Firefox Extension</h2>

<p><a href="https://addons.mozilla.org/en-US/firefox/addon/wave-accessibility-tool/"><b>WAVE Firefox Extension at Mozilla Add-ons</b></a></p>

<h2>Using the WAVE extension</h2>

<p>Updates to the WAVE extension will automatically be sent to your browser when they are made available.</p>

<p>To run a WAVE report, simply click on the WAVE icon to the right of your browser address bar. Click the icon again or refresh the page to remove the WAVE interface.</p>

<p>You can also trigger a WAVE report by pressing Control + Shift + U (Command + Shift + U on Mac) or by activating the "WAVE this page" context (right click) menu item.</p>

<h2>Copyright, privacy notice, and other stuff</h2>
<p>The WAVE extension, its interface elements, design elements, functionality, and underlying code are &copy; WebAIM. No information is transmitted from the WAVE extension, thus allowing secure and private accessibility reporting. By downloading the WAVE extension, you agree to the WAVE <a href="http://wave.webaim.org/about">Terms of Use and Privacy Notice</a>.</p>

</main>



</body>
</html>`;